Bug 456345 - Review Request: sportrop-fonts - A multiline decorative font
Review Request: sportrop-fonts - A multiline decorative font
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 20:39 EDT by Jon Stanley
Modified: 2008-10-28 21:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 21:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-07-22 20:39:08 EDT
SPEC: http://jstanley.fedorapeople.org/sportrop-fonts.spec
SRPM: http://jstanley.fedorapeople.org/sportrop-fonts-0.9-1.fc9.src.rpm

A better description would be nice - there's no upstream description, and I'm
horrible at describing it, but it's a cool font!

Note that I packaged BOTH ttf and otf in this package. Is there preference for
one or the other when upstream includes both?

rpmlint:

$ rpmlint ../RPMS/noarch/sportrop-fonts-0.9-1.fc9.noarch.rpm 
sportrop-fonts.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/sportrop-fonts-0.9/OFL_License.txt
sportrop-fonts.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/sportrop-fonts-0.9/OFL_FAQ.txt

These are upstream files distributed unmodified.
Comment 1 Nicolas Mailhot 2008-07-23 04:10:08 EDT
1. Please add a page on this font in the wiki to document this font
(using the http://fedoraproject.org/wiki/Font_description_template template)
Please make sure your other fonts are documented too.
(This is used on pages like
http://fedoraproject.org/wiki/Fonts_inclusion_history
which are referenced in the distro release notes)

2. look at the gfs fonts for example to see how to fix the warning. We consider
this kind of change a non-functionnal recoding

3. The TTF/OTF issue is currently being discussed in bug #455995. Please join
the discussion.
Comment 2 Jon Stanley 2008-07-23 08:22:32 EDT
New SRPM: http://jstanley.fedorapeople.org/sportrop-fonts-0.9-3.fc9.src.rpm

Same SPEC

This fixes the rpmlint warning above and splits OTF and TTF into subpackages in
a generic way - see my post to fedora-fonts-list for more.
Comment 3 Nicolas Mailhot 2008-07-24 17:18:05 EDT
Hi Jon,

After discussing it on various forums the consensus seems to be that only the
OTF (OpenType CFF) version should be packaged. So you can simplify the whole
thing considerably.

I apologize for waiting so long to get this part clarified
Comment 4 Nicolas Mailhot 2008-07-25 09:12:39 EDT
Looking at it a bit more, the TTF file size is 3 times the OTF file so the last
one is probably incomplete. Package the TTF file (sorry)

Also you can use %setup. The gfs fonts only use unzip directly because GFS
releases fonts in a weird Apple zip variant %setup can not cope with

So just:
1. revert to a simple package
2. that only includes the TTF file
3. and uses %setup
4. and take care of your missing wiki page

and I'll approve the whole lot
Comment 6 Jon Stanley 2008-07-27 11:59:10 EDT
OK, not enough caffeine today.

http://jstanley.fedorapeople.org/sportrop-fonts-0.9-4.fc9.src.rpm is the SOURCE
RPM :)
Comment 7 Nicolas Mailhot 2008-07-27 12:46:53 EDT
- | MUST: rpmlint must be run on every package…

rpmlint is broken in rawhide by the new rpm and I've no time to locate another copy

OK  | MUST: The package must be named according to the Package…

OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…
OK  | MUST: The License field in the package spec file must…

OK  | MUST: If (and only if) the source package includes the…

-   | MUST: The spec file must be written in American English.
OK  | MUST: The spec file for the package MUST be legible.

-   | MUST: The sources used to build the package must match… 
Didn't check the srpm.  the spec works fine with the upstream sip

OK  | MUST: The package must successfully compile and build…
N/A | MUST: If the package does not successfully compile, build 
N/A | MUST: All build dependencies must be listed…
N/A | MUST: The spec file MUST handle locales properly…
N/A | MUST: Every binary RPM package which stores shared…
N/A | MUST: If the package is designed to be relocatable…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissable 
N/A | MUST: Large documentation files should go in a -doc 
N/A | MUST: If a package includes something as %doc…
N/A | MUST: Header files must be in a -devel package.
N/A | MUST: Static libraries must be in a -static package.
N/A | MUST: Packages containing pkgconfig(.pc) files must…
N/A | MUST: If a package contains library files with a suffix…
N/A | MUST: In the vast majority of cases, devel packages must…
N/A | MUST: Packages must NOT contain any .la libtool archives, 
N/A | MUST: Packages containing GUI applications must include…
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.
N/A | SHOULD: If the source package does not include license 
-   | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
-   | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must be sane…
N/A | SHOULD: Subpackages other than devel should usually require base…
N/A | SHOULD: The placement of pkgconfig(.pc) files depends on…
N/A | SHOULD: If the package has file dependencies outside of shortlist…

APPROVED
Comment 8 Jon Stanley 2008-07-27 17:25:08 EDT
New Package CVS Request
=======================
Package Name: sportrop-fonts
Short Description: A multiline decorative font
Owners: jstanley
Branches: F-9 F-8 EL-4 EL-5
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-07-28 00:35:35 EDT
cvs done.
Comment 10 Nicolas Mailhot 2008-10-13 13:45:32 EDT
The reviewer part is done please close the bug when you've finished all the initial import actions

Note You need to log in before you can comment on or make changes to this bug.